#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 3

Summary:        asynchronous REST C++11 library
Name:           restbed
Version: 4.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            http://www.corvusoft.co.uk
Source0:        https://github.com/Corvusoft/restbed/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         version-so.patch
Patch1:         usr-lib.patch
ExcludeArch:    armv5tl

BuildRequires:  cmake
BuildRequires:  asio
BuildRequires:  openssl-devel

%description
Corvusoft's Restbed framework brings asynchronous RESTful functionality
to C++11 applications.

#--------------------------------------------------------------------

%define major 0
%define librestbed %mklibname restbed %{major}

%package -n %librestbed
Summary:        asynchronous REST C++11 library
Group:          System/Libraries

%description -n %librestbed
asynchronous REST C++11 library.

%files -n %librestbed
%_libdir/librestbed.so.%{major}{,.*}

#--------------------------------------------------------------------

%define librestbed_devel %mklibname restbed -d

%package -n %librestbed_devel
Summary:        Devel stuff for %name
Group:          Development/Other
Requires:       %librestbed >= %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %librestbed_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %librestbed_devel
%_includedir/corvusoft/restbed
%_includedir/restbed
%_libdir/librestbed.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -e 's,MGALIB,%{_libdir},g' -i CMakeLists.txt

%build
%cmake -DBUILD_SHARED=ON
%make_build

%install
%make_install -C build


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 4.0-3.mga6
+ Revision: 1079863
- enable shared build to fix libification

* Mon Jan 02 2017 daviddavid <daviddavid> 4.0-2.mga6
+ Revision: 1079676
- do not build on armv5tl

* Sun Jan 01 2017 neoclust <neoclust> 4.0-1.mga6
+ Revision: 1079235
- imported package restbed

